<#include "MAN_MAKROS"/><sqlvars> <sqlvar name="entries" type="hash">select R.catalogue_id,K.shortname,timeunit,sqlchunk,calcratio,decimalplaces,linksub,linktimeline,R.report_id,R.sortnr, R.sortnr2,R.grouping1,G.caption as group_caption from man_catalogue K,man_catalogue_rpt R left outer join man_grouping G on (G.id=R.grouping1)  where  K.id=R.catalogue_id and R.active=1 and K.id not in ('Bewerber') order by R.sortnr, R.sortnr2 </sqlvar>
<sqlvar name="commonChartProperties" type="hash">
SELECT 
P.tid,
P.caption,
P.prop_uniquename,
P.prop_default,
P.prop_unit,
P.is_generic,
P.static_values,
P.is_mandatory,
P.explanation,
P.sortnr,
P.range_from,
P.range_to,
I.caption as input_type_caption,
I.uniquename as input_type_uniquename,
G.caption as group_caption,
G.sortnr as group_sortnr,
G.uniquename as group_uniquename,
R.uniquename as renderer_uniquename,
GR.variable_name as group_variable_name,
PR.variable_name,
P.prop_value_type,
P.is_generic 

FROM viz_property_input_type I, viz_property P left outer join viz_property_group G
on (P.property_group_id=G.tid)
left outer join viz_property_group_renderer GR on (GR.property_group_id=G.tid)
left outer join viz_renderer R on (R.tid=GR.renderer_id)
left outer join viz_property_renderer PR on (P.tid=PR.property_id)
where I.tid=P.input_type_id
--and P.is_generic=1
order by G.sortnr,G.uniquename,P.sortnr,P.caption
 ;
 </sqlvar>
 <sqlvar name="vizRenderer" type="hash">
SELECT 
R.uniquename,
R.caption
FROM viz_renderer R
order by 2 desc
 ;
 </sqlvar>
<sqlvar name="vizTypes" type="hash">
SELECT T.tid,
T.uniquename,
T.caption,
R.uniquename as renderer_uniquename,
R.caption as renderer_caption,
T.srcpath,
T.method,
T.orientation
FROM viz_type T, viz_renderer R
where R.tid=T.renderer_id
order by 3
 ;
 </sqlvar>
<sqlvar name="viz_type_properties" type="hash">
SELECT T.tid,
T.uniquename as viz_type_uniquename,
P.caption,
P.prop_uniquename,
P.prop_default,
P.prop_unit,
P.is_generic,
P.static_values,
P.is_mandatory,
P.explanation,
P.sortnr,
P.range_from,
P.range_to,
I.caption as input_type_caption,
I.uniquename as input_type_uniquename,
G.uniquename as viz_property_group_uniquename,
TP.is_mandatory,
TP.sortnr,
P.prop_value_type,
P.is_generic
FROM viz_type T, viz_type_property TP, viz_property P, 
viz_property_input_type I, viz_property_group G
where T.tid=TP.viz_type_id
and P.tid=TP.viz_property_id
and I.tid=P.input_type_id
and G.tid=P.property_group_id
order by 2,TP.sortnr,P.caption
 ;
 </sqlvar>
 <sqlvar name="viz_chart" type="hashsequence">
SELECT V.tid,
V.uniquename,
V.caption,
V.userinfo_id,
replace(V.chartmodel,'"','§') as chartmodel_escaped,
replace(V.chartmodel_miniature,'"','§') as chartmodel_miniature_escaped,
V.description,
V.chart_position,
--replace(V.chartcode,'"','§') as chartcode_escaped,
--replace(V.datasource_def,'"','§') as datasource_def_escaped
R.uniquename as renderer_uniquename
FROM viz_chart V, viz_renderer R
where R.tid=V.renderer_id
order by 3
 ;
 </sqlvar>
 </sqlvars>
<#if !Semester?exists><#assign Semester=""></#if> <#if !Bezugssemester?exists><#assign Bezugssemester=""/></#if> <#if !Jahr?exists><#assign Jahr=""></#if> <#if !faecherkeys?exists><#assign faecherkeys=""></#if>  <#if !Fächer?exists><#assign Fächer={"selectedKey":""}></#if>  <#if !Kostenstelle?exists><#assign Kostenstelle={"selectedKey":""}></#if>  <#if !(.vars["Datum (Personal)"]?exists)><#assign "Datum (Personal)"=""></#if>    <#if !(.vars["Beschäftigungsstelle (Person)"]?exists)><#assign "Beschäftigungsstelle (Person)"=""></#if>
<navigation><item><href><![CDATA[888880190&maxoffset=100000&Jahr=${Jahr}&Semester=${Semester}&Datum%20(Personal)=${.vars["Datum (Personal)"]}]]></href><caption>Start</caption></item>
<#if entries?is_sequence><#foreach e in entries>
<#assign linktimeline=e.linktimeline?interpret/>
<#assign linkt><@linktimeline/></#assign> <#assign linksub=e.linksub?interpret/>
<#assign links><@linksub/></#assign>  <doubleitem id="${e.catalogue_id}" timeunit="${e.timeunit}" report_id="${e.report_id}" group_id="${e.grouping1}" group_caption="${e.group_caption}">
<aktuell><![CDATA[${links?replace('Fakultäten|','')}]]></aktuell>
<zeitreihe><![CDATA[${linkt?replace('Zeitreihe|','')}]]></zeitreihe>
<caption><![CDATA[${e.shortname}]]></caption> </doubleitem> </#foreach>
</#if></navigation>
<chartProperties>
<#if commonChartProperties?is_sequence><#foreach cp in commonChartProperties>
<commonChartProperty tid="${cp.tid}" 
 caption="${cp.caption}" 
 prop_uniquename="${cp.prop_uniquename}" 
 prop_default="${cp.prop_default}" 
 static_values="${cp.static_values}" 
 input_type_uniquename="${cp.input_type_uniquename}" 
 group_caption="${cp.group_caption}" 
 group_uniquename="${cp.group_uniquename}" 
 prop_unit="${cp.prop_unit}" 
 prop_range_from="${cp.range_from}" 
 prop_range_to="${cp.range_to}" 
 renderer_uniquename="${cp.renderer_uniquename}" 
 group_variable_name="${cp.group_variable_name}" 
 variable_name="${cp.variable_name}" 
 propValueType="${cp.prop_value_type}"
 explanation="${cp.explanation}"
 isGeneric="${cp.is_generic}"
  />
</#foreach>
</#if>
</chartProperties>
<vizRenderers>
<#if vizRenderer?is_sequence>
<#foreach vr in vizRenderer>
<vizRenderer  
 caption="${vr.caption}" 
 uniquename="${vr.uniquename}" 
   />
</#foreach>
</#if>
</vizRenderers>
<vizTypes>
<#if vizTypes?is_sequence>
<#foreach vt in vizTypes>
<vizType tid="${vt.tid}" 
 caption="${vt.caption}" 
 uniquename="${vt.uniquename}" 
 srcpath="${vt.srcpath}" 
 method="${vt.method}" 
 orientation="${vt.orientation}"
 renderer_uniquename="${vt.renderer_uniquename}" 
 renderer_caption="${vt.renderer_caption}" 
  />
</#foreach>
</#if>
</vizTypes>
<viz_type_properties>
<#if viz_type_properties?is_sequence>
<#foreach tp in viz_type_properties>
<viz_type_property tid="${tp.tid}" 
 caption="${tp.caption}" 
 uniquename="${tp.prop_uniquename}" 
 viz_type_uniquename="${tp.viz_type_uniquename}" 
 viz_property_group_uniquename="${tp.viz_property_group_uniquename}" 
 is_mandatory="${tp.is_mandatory}"
  prop_default="${tp.prop_default}" 
 static_values="${tp.static_values}" 
 input_type_uniquename="${tp.input_type_uniquename}" 
 prop_unit="${tp.prop_unit}" 
 prop_range_from="${tp.range_from}" 
 prop_range_to="${tp.range_to}" 
 propValueType="${tp.prop_value_type}"
 explanation="${tp.explanation}"
 isGeneric="${tp.is_generic}"
  />
</#foreach>
</#if>
</viz_type_properties>
<viz_charts>
<#if viz_chart?is_sequence>
<#foreach ch in viz_chart>
<viz_chart tid="${ch.tid}" 
 caption="${ch.caption}" 
 uniquename="${ch.uniquename}" 
 userinfo_id="${ch.userinfo_id}"
 description="${ch.description}"
 chartmodel="${ch.chartmodel_escaped}" 
 chartmodel_miniature="${ch.chartmodel_miniature_escaped}" 
 chart_position="${ch.chart_position}" 
 renderer="${ch.renderer_uniquename}"
   />
</#foreach>
</#if>
</viz_charts>
