--freemarker template
<#include "RPTA-Makros"/>
<sqlvars>
<sqlvar name="rpta_installed">
select count(*) from systeminfo where tid=330;
</sqlvar>
</sqlvars>
<#assign rpta_column_layout = {"uniquename":"sos_stud_fak_geschl",
"caption":"Studierende nach Fak. und Geschlecht",
"rpta_resultset":"sos_stud_astat",
"whereclause":"",
"description":"Studierende nach Fak. und Geschlecht"
}
   />

<#assign rpta_columns = [
{"uniquename":"dim_studiengang_fak",
"caption":"Fakultät",
"srcfieldname":"dim_studiengang_fb_str",
"column_type":"physicalColumn",
"col_function":"",
"is_visible":"1",
"visible_size":"10",
"is_aggregate":"0",
"description":"Fakultät"
},
{"uniquename":"geschlecht_w",
"caption":"Geschlecht (weiblich)",
"srcfieldname":"geschlecht",
"targetfieldname":"",
"column_type":"logicalColumn",
"col_function":"case when geschlecht=2 then ''Weiblich''::varchar(255) else ''Nicht weiblich''::varchar(255) end",
"is_visible":"1",
"format_code":"",
"visible_size":"5",
"is_aggregate":"0",
"description":"Geschlecht weiblich"
},
{"uniquename":"summe",
"caption":"Anzahl der Studierenden",
"srcfieldname":"summe",
"column_type":"physicalColumn",
"col_function":"sum",
"is_visible":"1",
"visible_size":"5",
"is_aggregate":"1",
"description":"Summe der Studierenden"
}
]
   />
 
<#if rpta_installed==1>
<@rpta_column_layout_fuellen />
</#if>
