--freemarker template
<#include "RPTA-Makros"/>
<sqlvars>
<sqlvar name="rpta_installed">
select count(*) from systeminfo where tid=330;
</sqlvar>
</sqlvars>
<#assign rpta_column_layout = 
{"uniquename":"sos_stud_ca12_staat",
"caption":"Studierende nach Staatsangehörigkeit",
"rpta_resultset":"sos_stud_astat",
"whereclause":"",
"description":"Studierende nach Staatsangehörigkeit"
}
   />

<#assign rpta_columns = [
{"uniquename":"staat_iso3",
"caption":"Staatsangehörigkeit",
"srcfieldname":"ca12_staat",
"targetfieldname":"staat_iso3",
"column_type":"lookupColumn",
"col_function":"select I.iso3 from viz_staat_isocode I where I.astat=ca12_staat",
"is_visible":"1",
"format_code":"",
"visible_size":"5",
"is_aggregate":"0",
"description":"Staat (ISO Code)"
},
{"uniquename":"summe",
"caption":"Anzahl der Studierenden",
"srcfieldname":"summe",
"column_type":"physicalColumn",
"col_function":"sum",
"is_visible":"1",
"visible_size":"5",
"is_aggregate":"1",
"description":"Summe der Studierenden"
}
]
   />
 
<#if rpta_installed==1>
<@rpta_column_layout_fuellen />
</#if>
