<?xml version="1.0"  encoding="UTF-8"?>
<xsl:stylesheet version="1.0" 
xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:sx="http://memtext.de">
<xsl:import href="xsl_functions.xsl" />
<xsl:import href="resultset_html.xsl" />
<xsl:import href="interLinks_html.xsl" />
<xsl:import href="pageComponents_html.xsl" />
<xsl:import href="pageComponents_html_final.xsl" />
<xsl:import href="menue_html_dojo.xsl" />
<xsl:import href="viz_components.xsl" />
<xsl:import href="viz_tableComponents.xsl" />

<!--<xsl:import href="viz_html_chart.xsl" />-->
<!--<xsl:import href="viz_html_chart_viewer.xsl" />-->

<!--In diesem Stylesheet können Sie individuelle templates unterbringen,
  die in ihrer Präzedenz das normale Stylesheet 
  pageComponents_html.xsl überragt. --> 
  <xsl:import href="pageComponents_html_final.xsl" />

<xsl:decimal-format name="German" grouping-separator="." NaN="" zero-digit ="0" decimal-separator="," />

                                                      <!-- wichtig für DOJO!-->
<xsl:output method="xml"    media-type="text/html" doctype-public="-//W3C//DTD XHTML 1.0 Strict//EN"
   doctype-system="DTD/xhtml1-strict.dtd"    cdata-section-elements="script style"    indent="yes" encoding="UTF-8"/>
<xsl:variable name="categoryColumn" select="'levelname'" />
<xsl:variable name="categoryColumnCaption" select="'Name'" />

<xsl:template match="/">
<xsl:call-template name="table"/>
</xsl:template>

<!-- start table main-->
<xsl:template name="table">
<html>
 <xsl:choose>
<xsl:when test="/ergebnisse/@hisinone_active='true'">
<xsl:call-template name="head_hisinone" ><xsl:with-param name="title" select="concat('Ergebnis ',/ergebnisse/ergebnis[ position()=1]/maskenname)" /></xsl:call-template>
</xsl:when>
<xsl:otherwise>
<xsl:call-template name="head_superx_viz" ><xsl:with-param name="title" select="concat('Ergebnis ',/ergebnisse/ergebnis[ position()=1]/maskenname)" /></xsl:call-template>
</xsl:otherwise>
</xsl:choose>
<xsl:call-template name="tableCSS"></xsl:call-template>
<xsl:call-template name="pccustomize"><xsl:with-param name="position" select="'table_pre_javascript'"></xsl:with-param></xsl:call-template>
<xsl:call-template name="tablecustomize"><xsl:with-param name="position" select="'table_pre_javascript'"></xsl:with-param></xsl:call-template>

<xsl:call-template name="tableJavascript_viz"></xsl:call-template> 
<script language="Javascript" type="text/javascript" src="../xml/js/viz/viz_functions.js" />
<script type="text/javascript">
			djConfig = { 
				bindEncoding: "UTF-8",
				isDebug: false,
				debugAtAllCosts:false,
				debugContainerId:"dojoDebug"
			};

       	</script>
    <script type="text/javascript" src="/superx/xml/js/dojo/dojo.js"></script>
    <xsl:text disable-output-escaping="yes"><![CDATA[<script type="text/javascript">
            dojo.require("dojo.widget.Dialog");
            dojo.require("dojo.widget.Button");
	    dojo.require("dojo.event.*");
			dojo.require("dojo.io.*");
			dojo.require("dojo.widget.*");
			dojo.require("dojo.html.selection");
			dojo.require("dojo.widget.ContentPane");
			dojo.require("dojo.widget.TreeV3");
			dojo.require("dojo.widget.TreeNodeV3");
			dojo.require("dojo.widget.TreeBasicController");
			dojo.require("dojo.widget.TreeSelectorV3");
			dojo.require("dojo.widget.TreeEmphasizeOnSelect");
			dojo.require("dojo.widget.Tooltip");
			dojo.require("dojo.widget.DropdownDatePicker");
			dojo.registerModulePath("memtext", "../memtext");
			dojo.require("memtext.widget.MemTree");
			dojo.require("memtext.widget.TreeLoadingControllerSx");
			
			dojo.hostenv.writeIncludes();
			
	</script>
]]></xsl:text>
<!--<xsl:call-template name="tableJavascript"></xsl:call-template>TODO Dialoge klappen nicht-->
<xsl:call-template name="buildVizMetadata" />
<xsl:call-template name="initVizChartsJS" />

<xsl:call-template name="pccustomize"><xsl:with-param name="position" select="'table_post_javascript'"></xsl:with-param></xsl:call-template>
<xsl:call-template name="tablecustomize"><xsl:with-param name="position" select="'table_post_javascript'"></xsl:with-param></xsl:call-template>

<!-- start Body-->
<body onload="document.getElementById('progressbar').style.display='none';tableonload();initPage();"> <!-- tableonload definiert in pageComponents.pccustomize position table_post_javascript -->
<div id="progressbar"  style="position:absolute; width:150px; height:150px; left:200px; top:200px; background:#AAAAAA">

 <p>&#160;<b>Laden...</b><br/><img src="/superx/images/progress_bar.gif"></img><br/></p></div>
  
  <xsl:if test="/ergebnisse/@showNavigation='true'"> 
<xsl:for-each select="/ergebnisse/menue">
   <xsl:call-template name="menuFrame" />
   </xsl:for-each>
</xsl:if>
   <div>
<xsl:if test="/ergebnisse/@showNavigation='true'">
<xsl:attribute name="class"><xsl:text>page-wrap</xsl:text></xsl:attribute>
   <xsl:for-each select="/ergebnisse/menue">
   <xsl:call-template name="topbar_menue" />
   </xsl:for-each>
</xsl:if>

   <div>
   <xsl:if test="/ergebnisse/@showNavigation='true'">
   <xsl:attribute name="id"><xsl:text>wrapper</xsl:text></xsl:attribute>
   </xsl:if>
<xsl:call-template name="customheader"/> <!--Standard in pageCompnents.xsl wird ggfs. direkt vom Servlet ersetzt!!-->
<xsl:call-template name="topbar_table" /> <!-- momentan nur in pageCompnents_final fuer h1 gefullet -->
<xsl:call-template name="pccustomize"><xsl:with-param name="position" select="'table_pre_center'"></xsl:with-param></xsl:call-template>
<xsl:call-template name="tablecustomize"><xsl:with-param name="position" select="'table_pre_center'"></xsl:with-param></xsl:call-template>
<xsl:call-template name="tableCenter"/>
<xsl:call-template name="pccustomize"><xsl:with-param name="position" select="'table_post_center'"></xsl:with-param></xsl:call-template>
<xsl:call-template name="tablecustomize"><xsl:with-param name="position" select="'table_post_center'"></xsl:with-param></xsl:call-template>

<xsl:call-template name="tableDialogs"></xsl:call-template>
<!--<div class="dontprint" id="dojoDebug"></div>-->
<xsl:call-template name="bottombar" />
 <xsl:comment>customfooter</xsl:comment>
 </div>
 </div>
 <xsl:call-template name="footer" />
  <xsl:call-template name="modalCards" />
</body>
<!-- end body -->
</html>
</xsl:template>
<!-- end main -->
<!-- start css -->
<xsl:template name="tableCSS">
		<style type="text/css">
.dojoDialog {background : #eee;	border : 1px solid #999;-moz-border-radius : 5px;padding : 4px;width:650;height:420px;overflow:scroll}
.treebutton {
      border:none;
      margin: 0 4px 0 0;
    }
 @media print{
.dontprint{display:none;}
}
.box-new {
	display: flex;
	justify-content: space-between;
	font-weight: bold;
}	

/***15.11.23-bf: übernommen aus sx_maske.css***/
.card {				/*für Cardposition, -style*/
   display: flex;
   flex-flow: column;
   margin-left: 0em;		/*1.5em bei farbigem Hintergrund*/
   margin-top: 1em; 		/*-1.2em bei farbigem Hintergrund*/
   min-width: 25.0em;
   width: 100%; 
   } 		/*-1.2em bei farbigem Hintergrund*/
   
/*Buttonleiste*/
.buttonlist{			/*für resposive Buttonleiste*/
   display: flex; 
   flex-flow: row wrap;
   justify-content: flex-start; }
   
.buttonlist img { 		/*für Icongröße in Buttonleiste*/
    height: 1.2rem; 
    width: auto; 			
    padding: 0rem 0rem 0rem 0.1rem; } 	/*für Padding: ob re un li*/	
    
.buttonlist_text { 
    font-size: 0.8em; }

/*Selektionsfelder-Formular*/
.label-container, .button-label { /*für einh.responsive Feldbezeichner*/
   display: flex;
   justify-content: left;
   background: ;	
   min-width: 10.0em;		/*für kleine Viewports*/
   width: 10%; }		/*für kleine Viewports*/
   
.control-new { 			/*für einheitliche Controls*/
   min-width: 12.0em; 		/*für kleine Viewports*/
   width: 20%; 		/*für große Viewports*/
   }
.button {			/*für Button-Bezeichner-Ausrichtung*/
   display: flex;
   justify-content: left; }
 
 /* für Dashboard: Erläuterungen*/
.leg_erl {
  background-color: whitesmoke; 
   font-size: 0.8em;
 }
 
.dl_title {
   display: flex;
   justify-content: center;
   background: inherit;	
   font-size: 1.2em;
   font-weight: 400;   
 }
</style>
</xsl:template>
<!-- end css -->

<!-- start Javascript-->

<!-- end javascript-->	

<!-- start tablecenter-->


<!-- end tablecenter-->
<!-- start printsaveExport-->
<!-- printsave/export in pageComponents definiert - kann also überlagert werden-->
<xsl:template name="tablePrintsaveexport">
<table  class="dontprint" border="0"><tr><td align="left">
<xsl:call-template name="printsaveButtons" />
</td>
<td align="right"><xsl:call-template name="exportButtons" />
</td>
</tr></table>
</xsl:template>
<!-- end printsave -->

<!-- start singleTable-->
<xsl:template name="tableSingletable">
<xsl:comment>Template tableSingletable in file tabelle_html.xsl</xsl:comment>
<!--<xsl:call-template name="pccustomize"><xsl:with-param name="position" select="'table_pre_title'"></xsl:with-param></xsl:call-template>
<xsl:call-template name="tablecustomize"><xsl:with-param name="position" select="'table_pre_title'"></xsl:with-param></xsl:call-template>
-->
<xsl:call-template name="pccustomize"><xsl:with-param name="position" select="'table_post_title'"></xsl:with-param></xsl:call-template>
<xsl:call-template name="tablecustomize"><xsl:with-param name="position" select="'table_post_title'"></xsl:with-param></xsl:call-template>

<xsl:call-template name="legende" />
<xsl:if test="/ergebnisse/@isMakro!='true' and /ergebnisse/ergebnis/ergebniselement/sqlerg/@istreetable!='true' and /ergebnisse/ergebnis/ergebniselement/sqlerg/@max &gt; 19">
  <xsl:call-template name="navigationsmenue" />
</xsl:if>
<div class="columns features is-mobile is-left"> <!--Beginn columns  -->
  <div class="column is-three-fifths">


<div class="table-container">
<p class="maskentitel"><xsl:value-of select="../maskenname" /></p>

<table id="table1" class="ergtabelle">
<thead>
<xsl:call-template name="tableheader"/>
</thead>
<tbody>
<xsl:call-template name="tablebody"/>
</tbody>
</table>
</div>

</div><!--Ende Column für die Tabelle-->
<div class="column">
<xsl:if test="count(/ergebnisse/ergebnis[@ordnr='0']/completefields/feld[@art='1']) &gt; 0">
<xsl:call-template name="renderSpecialDialogs" />
</xsl:if>
</div>

</div><!--Ende columns-->

</xsl:template>
<xsl:template name="tableheader">
<!--Spaltenüberschriften: zunächst wird geprüft, ob Spaltenüberschriften verknüpft werden sollen 

<xsl:variable name="spanned_cols"> 
<xsl:for-each select="sqlerg/headers/header">
<xsl:if test="contains(wert,'\000')"> 
    <xsl:text>true</xsl:text>
</xsl:if>
</xsl:for-each>
</xsl:variable>

<xsl:when test="contains($spanned_cols,'true')"> 
<xsl:variable name="headers_str">
<xsl:for-each select="sqlerg/headers/header">
<xsl:value-of select="concat('^',wert)" />
</xsl:for-each>
</xsl:variable>
<xsl:value-of select="sx:headers2html($headers_str)" disable-output-escaping="yes"/>
 -->
<xsl:choose>
<xsl:when test="/ergebnisse/ergebnis/ergebniselement/sqlerg/headers/@hasAggregationHeaders='true'">
<xsl:for-each select="sqlerg/aggregationHeaders/tr">
<tr>
<!--auch bei aggregierten Headers Spalten die mit hidden_starten nicht anzeigen-->
<xsl:for-each select="th [not (starts-with(@f_name,'hidden')) and @isHidden!='true']">
<th class="header">
<xsl:if test="@colspan!=''"><xsl:attribute name="colspan"><xsl:value-of select="@colspan"/></xsl:attribute></xsl:if>
<xsl:if test="@rowspan!=''"><xsl:attribute name="rowspan"><xsl:value-of select="@rowspan"/></xsl:attribute></xsl:if>
<xsl:attribute name="scope">
<xsl:choose>
<xsl:when test="@colspan!='' and @colspan!='1'"><xsl:text>colgroup</xsl:text></xsl:when>
<xsl:otherwise><xsl:text>col</xsl:text></xsl:otherwise>
</xsl:choose>
</xsl:attribute>
<xsl:choose>
<xsl:when test="@isopen='true'">
<a class='bildnavi' >
<xsl:attribute name="href"><xsl:text>javascript:setHeaderExpanded('</xsl:text>
<xsl:value-of select="/ergebnisse/@jsessionid"/><xsl:text>',</xsl:text><xsl:value-of select="/ergebnisse/ergebnis/maskenname/@id" />
<xsl:text>,</xsl:text><xsl:value-of select="@id"/><xsl:text>,false);</xsl:text></xsl:attribute>
 <img class="svg_icon" border='0' src='/superx/xml/tree_minus_rect.svg'/>&#160;
<xsl:call-template name="removeBackslashN" >
    <xsl:with-param name="derwert"><xsl:value-of select="." /></xsl:with-param>
    <xsl:with-param name="format"><xsl:value-of select="'html'" /></xsl:with-param>
    </xsl:call-template>  
</a>
</xsl:when>
<xsl:when test="@isopen='false'">
<a class='bildnavi'>
<xsl:attribute name="href"><xsl:text>javascript:setHeaderExpanded('</xsl:text>
<xsl:value-of select="/ergebnisse/@jsessionid"/><xsl:text>',</xsl:text><xsl:value-of select="/ergebnisse/ergebnis/maskenname/@id" />
<xsl:text>,</xsl:text><xsl:value-of select="@id"/><xsl:text>,true);</xsl:text></xsl:attribute>
<img class="svg_icon" border='0' src='/superx/xml/tree_plus_rect.svg'/>&#160;
<xsl:call-template name="removeBackslashN" >
    <xsl:with-param name="derwert"><xsl:value-of select="." /></xsl:with-param>
    <xsl:with-param name="format"><xsl:value-of select="'html'" /></xsl:with-param>
    </xsl:call-template>
</a> 
</xsl:when>
<xsl:otherwise>
<xsl:call-template name="removeBackslashN" >
    <xsl:with-param name="derwert"><xsl:value-of select="." /></xsl:with-param>
    <xsl:with-param name="format"><xsl:value-of select="'html'" /></xsl:with-param>
    </xsl:call-template>
</xsl:otherwise>
</xsl:choose>
</th>

</xsl:for-each>
</tr>
</xsl:for-each>

</xsl:when>
<xsl:otherwise>
<!-- alt Normale headers -->
<xsl:variable name="headers_str">
<xsl:for-each select="sqlerg/headers/header[not (starts-with(f_name,'hidden'))]">
<xsl:value-of select="concat('^',wert)" />
</xsl:for-each>
</xsl:variable>
<xsl:value-of select="sx:headers2html($headers_str)" disable-output-escaping="yes"/>

<!--<xsl:call-template name="removeBackslashN" >
    <xsl:with-param name="derwert"><xsl:value-of select="." /></xsl:with-param>
    <xsl:with-param name="format"><xsl:value-of select="'html'" /></xsl:with-param>
    </xsl:call-template>
<tr>
<xsl:for-each select="sqlerg/headers/header">
<th class="header" scope="col">
<xsl:call-template name="removeBackslashN" >
    <xsl:with-param name="derwert"><xsl:value-of select="wert" /></xsl:with-param>
    <xsl:with-param name="format"><xsl:value-of select="'html'" /></xsl:with-param>
    </xsl:call-template>
    </th>
</xsl:for-each>
</tr>-->
</xsl:otherwise>
</xsl:choose>
<!-- Sparklines:-->
<xsl:variable name="ergebniselement_ordnr"><xsl:value-of select="@ordnr" /></xsl:variable>
<xsl:variable name="quote"><xsl:text>'</xsl:text></xsl:variable>
<tr>
<xsl:for-each select="sqlerg/headers/header">
<xsl:variable name="chart_uniquename"><xsl:value-of select="concat($ergebniselement_ordnr,'_',@id)" /></xsl:variable>

<th class="header">
<xsl:if test="starts-with(f_name,'_spark')">
<xsl:attribute name="onClick"><xsl:value-of select="concat('javascript:openModalSparkImage(',$quote,$chart_uniquename,$quote,');')" />
</xsl:attribute>
<div id="{concat('chartDivMin_',$chart_uniquename)}" class="image is-32x32">
</div>

</xsl:if>
</th>
</xsl:for-each>
</tr>

</xsl:template>

<xsl:template name="tablebody">
<xsl:variable name="erglevelmax"><xsl:text>5</xsl:text> 
<!-- todo: auch bei treetable variable Zeilenebenen
<xsl:if test="count(sqlerg/row/col [ f_name = 'ebene' ]) &gt; 0">
<xsl:choose>
<xsl:when test="count(sqlerg/row/col [ f_name = 'ebene' ] /wert [ . = '4']) &gt; 0">
<xsl:text>4</xsl:text>
</xsl:when>
<xsl:when test="count(sqlerg/row/col [ f_name = 'ebene' ] /wert [ . = '3']) &gt; 0">
<xsl:text>3</xsl:text>
</xsl:when>
<xsl:when test="count(sqlerg/row/col [ f_name = 'ebene' ] /wert [ . = '2']) &gt; 0">
<xsl:text>2</xsl:text>
</xsl:when>
<xsl:when test="count(sqlerg/row/col [ f_name = 'ebene' ] /wert [ . = '1']) &gt; 0">
<xsl:text>1</xsl:text>
</xsl:when>
<xsl:otherwise>
<xsl:text>5</xsl:text>
</xsl:otherwise>
</xsl:choose>
</xsl:if>-->
</xsl:variable>
<xsl:for-each select="sqlerg/row">
  <!-- MB ausgelagert nach resultset.xsl-->
<xsl:call-template name="resultrow">
<xsl:with-param name="row" select="."/>
<xsl:with-param name="erglevelmax" select="$erglevelmax"/>
 <!-- wenn versteckte Links angegeben sind, nach dem Schema hidden_fname diese anzeigen-->
<xsl:with-param name="showlinks"><xsl:text>true</xsl:text></xsl:with-param>
</xsl:call-template>
</xsl:for-each>
</xsl:template>
<!-- end singleTable-->
<!-- start DOJO Dialoge-->
<xsl:template name="tableDialogs">
<xsl:if test="/ergebnisse/@isMakro!='true'"> 
<!-- start configdlg-->
 <div dojoType="dialog" id="configdlg" bgColor="darkgray" bgOpacity="0.7" toggle="fade" toggleDuration="250" closeNode="ok" style="display:none">

		<form name="configform" onsubmit="return false;">
		
	<table style="font-size:10pt">
	<tr><td align="center"><h3>Spaltenreihenfolge</h3></td><td align="center" valign="top"><h3>Sortierung der Ergebnisse</h3></td></tr>
	<tr><td align="left">
	<div style="height:250px;width:300px;overflow:scroll"><!-- IE needs non-dojo div vor scrolling-->
	<ul id="spaltenliste">
	<li>Keine Spalteninformation gefunden</li>
	</ul>
	</div>
	<!--
	<p align="center"><b>MÜLLEIMER</b></p>
	 <div style="height:80px;width:350px;overflow:scroll">-->
	 <!-- IE needs non-dojo div vor scrolling-->
	 <!--
	<ul id="spaltentrash"><li>nicht dargestellte Spalten</li></ul>
	</div>
	-->
	<label> <![CDATA[Sie können einen Eintrag anklicken und  ]]><br/>
	<![CDATA[ bei gedrückter li. Maustaste verschieben]]> <br/>
	         <![CDATA[die schwarze Hilfslinie zeigt das Ziel an.]]><br/>
	         <![CDATA[ Entfernen Sie das Häkchen bei "anzeigen",]]><br/>
		 <![CDATA[ um Spalten auszublenden]]><br/>
		 <!--  <![CDATA[ in den Mülleimer ziehen.]]>  -->
		  </label>
	</td>
	<td>
	<xsl:choose>
	<xsl:when test="/ergebnisse/ergebnis/ergebniselement/sqlerg/@istreetable='true'">
	<p>Sortieren nach Spalte bei hierarchischer Darstellung nicht möglich</p>
	</xsl:when>
	<xsl:otherwise>
	<p>Sortieren nach Spalte</p>
	</xsl:otherwise>
	</xsl:choose>
	
	<div id="sortierspalten">
	</div>
	</td>
	</tr>
	</table>
	
	<p align="center">
	<input type="button" id="ok" class="clsButtonStyle" onclick="tableReload('','');" value="OK"></input>&#160;
	
	<input type="button" id="restore" class="clsButtonStyle" onclick="tableReload('restore','restore');" value="Alles zurücksetzen"></input>&#160;
	<input type="button" id="abbrechen" class="clsButtonStyle" onclick="configdlg.hide()" value="Abbrechen"></input>&#160;
	</p>
	
			</form>
			
	
</div>
<!-- end configdlg -->
<!-- start export dlg dojoType="dialog" -->
<div  dojoType="dialog" id="ttexdlg" bgColor="darkgray" bgOpacity="0.7" toggle="fade" toggleDuration="250" closeNode="hidettexdlg" style="display:none">
<form name="treetableexportform" onsubmit="return false;">
<p align="center"><b>EXPORT</b></p>
<p align="center">Welche Daten sollen exportiert werden?<br/>
<input type="button" id="treesomedata" class="clsButtonStyle" onclick="exportandhidedlg('some rows');startExport" value="Nur die sichtbaren Tabellenzeilen"></input>&#160;
<input type="button" id="treealldata" class="clsButtonStyle" onclick="exportandhidedlg('all rows')" value="Alle Daten"></input>&#160;
<br/><br/>
<input id="hidettexdlg" class="clsButtonStyle" type="button" value="Abbrechen"></input>
</p>
</form>
</div>
<!-- end export dlg -->
</xsl:if>

<!-- start lesezeichen -->
<div dojoType="dialog" id="lesezeichendlg" bgColor="darkgray" bgOpacity="0.7" toggle="fade" toggleDuration="250" closeNode="hidelesezeichen" style="display:none">
	<form name="lesezeichenform" onsubmit="return false;">
	<h1 align="center">Lesezeichen erstellen</h1>
	 <div id="lesezeichenlinkdiv">
	 <p align="center"> Hier Ihr Lesezeichen-Link:</p>
	 <h3 align="center"><a id="lesezeichenlink"></a></h3>
	 <p align="center" id="lesezeicheninfoIE"> Klicken Sie mit der <b><font color="red">rechten Maustaste</font></b> auf den obigen Link und wählen Sie <br/><br/><b>"Zu Favoriten hinzufügen"</b><br/>
	 <br/>
	 Es folgt ein Sicherheitshinweis <br/>"Sie fügen einen Favoriten hinzu, der möglicherweise nicht sicher ist"<br/>
	 Den können Sie bestätigen, da SuperX-Lesezeichen nur harmloses JavaScript verwenden.<br/><br/>
	 Hinweis: Damit SuperX-Lesezeichen im IE7 aufgerufen werden können, muss vorher eine beliebige andere Seite angezeigt werden.</p>
	 <p align="center" id="lesezeicheninfoFF"> Klicken Sie mit der <b><font color="#f17c00">rechten Maustaste</font></b> auf den obigen Link und wählen Sie <br/><b>"Lesezeichen für diesen Link hinzufügen"</b>
	 </p>
	 <p align="center" id="lesezeicheninfoOther"> 
         Klicken Sie mit der linken Maustaste auf den Link, dann öffnet sich ein neues Fenster mit der Maske, die Sie dann als Lesezeichen hinzufügen können.</p>
	 <br/><br/><br/><br/><br/><br/><br/>
	 <p align="center"><input id="hidelesezeichen" class="clsButtonStyle" type="button" value="Dialog schließen"></input></p>
	 </div>
	
		 
	</form>
</div>

<!-- end lesezeichen-->
<!-- start deeplink-->
<div dojoType="dialog" id="deeplinkdlg" bgColor="darkgray" bgOpacity="0.7" toggle="fade" toggleDuration="250" closeNode="hidedeeplink" style="display:none">
	<form name="deeplinkform" onsubmit="return false;">
	<h1 align="center">Deeplink erstellen</h1>
	 <div id="deeplinkdiv">
	 <br/><br/>
	 <p align="center">
	 Ausgabe
	  <select id="deeplinkausgabe" name="deeplinkausgabe" size="1" onchange="deeplink_ausgabeformat()">
      <option value="tabelle_html.xsl">Standard HTML mit Navigation</option>
      <option value="tabelle_html.xsl">Standard HTML</option>
      <option value="tabelle_html_p.xsl">Standard Druckversion</option>
      <option value="tabelle_xls.xsl">Standard Excel</option>
      <option value="tabelle_fo_pdf.xsl">Standard PDF</option>
      <option value="tabelle_xml.xsl">Standard XML</option>
      <xsl:for-each select="/ergebnisse/stylesheets/stylesheet[filename!='tabelle_html.xsl' and filename!='tabelle_html_p.xsl' and filename!='tabelle_xls.xsl'
       and filename!='tabelle_fo_pdf.xsl' and filename!='tabelle_xml.xsl' and filename!='tabelle2jasperreport_generic.xsl']">
       <option>
       <xsl:attribute name="value"><xsl:value-of select="filename"/></xsl:attribute>
       <xsl:value-of select="caption"/>
       </option>
       
       </xsl:for-each>
    </select>
	 </p>
	 <div id="div_jasper_ausgabeformat" style="display:none">
	 <p align="center"> Ausgabeformat 
	 <select  id="jasper_ausgabeformat" onchange="document.getElementById('deeplinktext').innerHTML='';">
                                                         <option></option>
                                                         <option  value="application/vnd.ms-excel">Excel</option>
                                                         <option  value="application/pdf">PDF</option>
                                                         <option  value="application/rtf">RTF</option>
                                                         <option value="application/vnd.oasis.opendocument.spreadsheet">ODS</option>
                                                         <option  value="application/vnd.openxmlformats-officedocument.spreadsheetml.sheet">XLSX</option>
                                                         <option  value="text/html" selected="true">HTML</option></select>
	 </p>
	 </div>
     <p align="center"> <input id="deeplinkcreate" class="clsButtonStyle" type="button" value="Link erzeugen">
     <xsl:attribute name="onclick"><xsl:text>createLinkForMask('</xsl:text><xsl:value-of select="/ergebnisse/@hisinone_refapp" /><xsl:text>','</xsl:text><xsl:value-of select="/ergebnisse/ergebnis/ergebniselement/sqlerg/headers/@colset"/><xsl:text>','</xsl:text><xsl:value-of select="/ergebnisse/ergebnis/ergebniselement/sqlerg/headers/@colsort"/><xsl:text>');</xsl:text></xsl:attribute>
     </input></p>
	 <textarea id="deeplinktext" name="deeplinktext" cols="130" rows="13"></textarea>
	 <p align="center"> Den fertigen Link können Sie per Copy&amp;Paste kopieren</p>
    </div>
	
		 
	
	 <p align="center"><input id="hidedeeplink" class="clsButtonStyle" type="button" value="Dialog schließen"></input></p>
	 </form>
</div>

<!--ende deeplink-->
</xsl:template>
<!-- end DOjo dialoge-->
<!-- start obsolet -->
<xsl:template name="tabwert">
    <xsl:choose>
      <xsl:when test="wert/@type='numeric'"><xsl:value-of select="wert" />
<!--<xsl:value-of select="format-number(wert,'#.###.##0,00','de_DE')" />-->
</xsl:when>
<xsl:otherwise><xsl:value-of select="wert" /></xsl:otherwise>
</xsl:choose>
</xsl:template>
<!-- end -->
 <!-- start customize  standard ist leer, kann von Spezialstylesheets überlagert werden -->
  <xsl:template name="tablecustomize">
    <xsl:param name="position"/>
 </xsl:template>
  <!-- end customize-->
  <xsl:template name="legende_viz">
<xsl:param name="ordnr" />
<xsl:variable name="legendeDivId"><xsl:text>legende</xsl:text><xsl:value-of select="$ordnr" /></xsl:variable>
<a>
<xsl:attribute name="onClick"><xsl:text>openModalSparkImage('</xsl:text><xsl:value-of select="$legendeDivId" /><xsl:text>');</xsl:text></xsl:attribute>
<span class="button is-small is-link is-outlined modal-button">Legende ...</span></a>
</xsl:template>
<xsl:template name="erlaeuterung_viz">
<xsl:param name="ordnr" />
<xsl:if test="../hinweis != ''">

<xsl:variable name="erlaeuterungDivId"><xsl:text>erlaeuterung</xsl:text><xsl:value-of select="$ordnr" /></xsl:variable>
<a>
<xsl:attribute name="onClick"><xsl:text>openModalSparkImage('</xsl:text><xsl:value-of select="$erlaeuterungDivId" /><xsl:text>');</xsl:text></xsl:attribute>
<span class="button is-small is-link is-outlined modal-button">Erläuterung ...</span></a>

</xsl:if>

</xsl:template>
  <xsl:template name="legende">
  <xsl:param name="ergebniselement_ordnr" select="0" /><!--
  <h3>Legende</h3>
			<p>
				<xsl:for-each select="/ergebnisse/ergebnis [@ordnr=$ergebniselement_ordnr]/felder/feld">
					<xsl:if
						test="(value !='' or sicht/@isFirstInGroup='false' or @isstandtoday='false') and @varname != 'sort' and @varname != 'maxoffset' and value_caption != ''">
						<span class="feldname">
							<xsl:choose>
								<xsl:when
									test="string-length(caption_short) &gt; 0 and caption_short != 'null'">
									<xsl:value-of select="caption_short" />
								</xsl:when>
								<xsl:otherwise>
									<xsl:value-of select="@varname" />
								</xsl:otherwise>
							</xsl:choose>
						</span>:
						<xsl:if test="string-length(value_caption) &lt; 950">
							<span class="feldwert">
								<xsl:value-of select="value_caption" />
							</span>
						</xsl:if>
						<xsl:if test="string-length(value_caption) &gt; 949">
							<span class="feldwert">
								<xsl:value-of select="substring(value_caption,0,950)" />
								...
							</span>
						</xsl:if>
						<xsl:if test="sicht!=''">&#160;<span><![CDATA[(]]><xsl:value-of select="sicht" />
								<xsl:if test="@stand!=''">
									<xsl:text> - Stand:</xsl:text>
									<xsl:value-of select="@stand" />
								</xsl:if>
								<xsl:text><![CDATA[)]]></xsl:text>
							</span>
						</xsl:if>&#160;
					</xsl:if>

				</xsl:for-each>
				
				<span class="feldname">User: </span>
				<xsl:value-of select="/ergebnisse/user" />&#160;
				<span class="feldname">Stand: </span>
				<xsl:value-of select="../stand" />&#160;
				<xsl:if test="../standdt != ''">
				    <span class="feldname"> / </span>
					<xsl:value-of select="../standdt" />
			    </xsl:if>
				
			</p>
			<xsl:if test="../hinweis != ''">
				<p>				
					<xsl:call-template name="newline_to_br">
						<xsl:with-param name="string" select="../hinweis" />
					</xsl:call-template>				
				</p>
			</xsl:if>
			
-->
<xsl:choose>
<xsl:when test="/*/@hisinone_active='true'">
<xsl:call-template name="legende_hisinone" />
</xsl:when>
<xsl:otherwise>
<xsl:call-template name="legende_superx" />
</xsl:otherwise>
</xsl:choose>
</xsl:template>
	<xsl:template name="legende_hisinone">
		<div class="text_white" style="display:none" id="legende">
			<h3>Legende</h3>
			<p>
				<xsl:for-each select="/ergebnisse/ergebnis [@ordnr=0]/felder/feld">
					<xsl:if
						test="(value !='' or sicht/@isFirstInGroup='false' or @isstandtoday='false') and @varname != 'sort' and @varname != 'maxoffset' and value_caption != ''">
						<span class="feldname">
							<xsl:choose>
								<xsl:when
									test="string-length(caption_short) &gt; 0 and caption_short != 'null'">
									<xsl:value-of select="caption_short" />
								</xsl:when>
								<xsl:otherwise>
									<xsl:value-of select="@varname" />
								</xsl:otherwise>
							</xsl:choose>
						</span>:
						<xsl:if test="string-length(value_caption) &lt; 950">
							<span class="feldwert">
								<xsl:value-of select="value_caption" />
							</span>
						</xsl:if>
						<xsl:if test="string-length(value_caption) &gt; 949">
							<span class="feldwert">
								<xsl:value-of select="substring(value_caption,0,950)" />
								...
							</span>
						</xsl:if>
						<xsl:if test="sicht!=''">&#160;<span><![CDATA[(]]><xsl:value-of select="sicht" />
								<xsl:if test="@stand!=''">
									<xsl:text> - Stand:</xsl:text>
									<xsl:value-of select="@stand" />
								</xsl:if>
								<xsl:text><![CDATA[)]]></xsl:text>
							</span>
						</xsl:if>&#160;
					</xsl:if>

				</xsl:for-each>
				<span class="feldname">User: </span>
				<xsl:value-of select="/ergebnisse/user" />&#160;
				<span class="feldname">Stand: </span>
				<xsl:value-of select="../stand" />&#160;
				<xsl:if test="../standdt != ''">
				    <span class="feldname"> / </span>
					<xsl:value-of select="../standdt" />
			    </xsl:if>
				
			</p>
			<xsl:if test="../hinweis != ''">
				<p>				
					<!-- 11.3.09 MB -->
					<xsl:call-template name="newline_to_br">
						<xsl:with-param name="string" select="../hinweis" />
					</xsl:call-template>				
				</p>
			</xsl:if>
		</div>
	</xsl:template>

<xsl:template name="initVizChartsJS">
<script language="Javascript" type="text/javascript">
<xsl:variable name="quote"><xsl:text>"</xsl:text></xsl:variable>
<xsl:text><![CDATA[

function initPage()
{
var myChartModelStr="";
var myDiv="";
]]></xsl:text>
<xsl:for-each select="/ergebnisse">
<xsl:for-each select="ergebnis/ergebniselement">
<xsl:variable name="ergebniselement_ordnr"><xsl:value-of select="@ordnr" /></xsl:variable>
<xsl:variable name="categoryColumn" select="sqlerg/headers/header[ starts-with(f_name,'_categoryspark')]/f_name" />
<xsl:variable name="categoryColumnCaption" select="sqlerg/headers/header[ starts-with(f_name,'_categoryspark')]/wert" />
<xsl:text>var tt="</xsl:text><xsl:value-of select="$categoryColumn" /><xsl:text>";
</xsl:text>

<xsl:for-each select="sqlerg/headers/header[ starts-with(f_name,'_spark')]">
<xsl:text><![CDATA[
myChartModelStr=']]></xsl:text>
<xsl:choose>
<xsl:when test="starts-with(f_name,'_sparkbar')">
<xsl:call-template name="remove_linebreaks">
<xsl:with-param name="volltext">
<xsl:call-template name="createBarMiniatureJS">
<xsl:with-param name="ergebniselement_ordnr" select="$ergebniselement_ordnr" />
<xsl:with-param name="xcolname" select="$categoryColumn" />
<xsl:with-param name="xcolcaption" select="$categoryColumnCaption" />
<xsl:with-param name="ycolnr" select="@id" />
<xsl:with-param name="ycolname" select="f_name" />
<xsl:with-param name="ycolcaption" select="wert" />
</xsl:call-template>
</xsl:with-param>
</xsl:call-template>
</xsl:when>
<xsl:otherwise>
<xsl:call-template name="remove_linebreaks">
<xsl:with-param name="volltext">
<xsl:call-template name="createLineMiniatureJS">
<xsl:with-param name="ergebniselement_ordnr" select="$ergebniselement_ordnr" />
<xsl:with-param name="xcolname" select="$categoryColumn" />
<xsl:with-param name="xcolcaption" select="$categoryColumnCaption" />
<xsl:with-param name="ycolnr" select="@id" />
<xsl:with-param name="ycolname" select="f_name" />
<xsl:with-param name="ycolcaption" select="wert" />
</xsl:call-template>
</xsl:with-param>
</xsl:call-template>
</xsl:otherwise>
</xsl:choose>
<xsl:text><![CDATA[';
myDiv="]]></xsl:text>
<xsl:value-of select="concat('chartDivMin_',$ergebniselement_ordnr,'_',@id)" />
<xsl:text><![CDATA[";
createViewer(myChartModelStr,myDiv);
]]></xsl:text>

<!--nun die großen Grafiken-->

<xsl:text><![CDATA[
myChartModelStr=']]></xsl:text>
<xsl:choose>
<xsl:when test="starts-with(f_name,'_sparkbar')">
<xsl:call-template name="remove_linebreaks">
<xsl:with-param name="volltext">
<xsl:call-template name="createBarJS">
<xsl:with-param name="ergebniselement_ordnr" select="$ergebniselement_ordnr" />
<xsl:with-param name="xcolname" select="$categoryColumn" />
<xsl:with-param name="xcolcaption" select="$categoryColumnCaption" />
<xsl:with-param name="ycolnr" select="@id" />
<xsl:with-param name="ycolname" select="f_name" />
<xsl:with-param name="ycolcaption" select="wert" />
</xsl:call-template>
</xsl:with-param>
</xsl:call-template>
</xsl:when>
<xsl:otherwise>
<xsl:call-template name="remove_linebreaks">
<xsl:with-param name="volltext">
<xsl:call-template name="createLineJS">
<xsl:with-param name="ergebniselement_ordnr" select="$ergebniselement_ordnr" />
<xsl:with-param name="xcolname" select="$categoryColumn" />
<xsl:with-param name="xcolcaption" select="$categoryColumnCaption" />
<xsl:with-param name="ycolnr" select="@id" />
<xsl:with-param name="ycolname" select="f_name" />
<xsl:with-param name="ycolcaption" select="wert" />
</xsl:call-template>
</xsl:with-param>
</xsl:call-template>
</xsl:otherwise>
</xsl:choose>
<xsl:text><![CDATA[';
myDiv="]]></xsl:text>
<xsl:value-of select="concat('modalCardImage_',$ergebniselement_ordnr,'_',@id)" />
<xsl:text><![CDATA[";
createViewer(myChartModelStr,myDiv);
]]></xsl:text>



</xsl:for-each>
</xsl:for-each>
</xsl:for-each>
<xsl:text><![CDATA[
}

function createViewer(myChartModelStr,chartDiv)
{
myChartModel=JSON.parse(myChartModelStr);
renderChart(chartDiv,myChartModel);
}

function toggleLegendeDisplay(legendeDiv)
{
var myDiv=document.getElementById(legendeDiv);
if(myDiv.style.display=="block")
		myDiv.style.display="none";
	else
		myDiv.style.display="block";

}

function openModalSparkImage(chartUniquename)
{
	var myModalCard=document.getElementById("modalCard_"+chartUniquename);
	myModalCard.classList.add('is-active');
}
function closeModalSparkImage(chartUniquename)
{
	var myModalCard=document.getElementById("modalCard_"+chartUniquename);
	myModalCard.classList.remove('is-active');
}
]]></xsl:text>
</script>
</xsl:template>
<xsl:template name="modalCards" >
<xsl:for-each select="/ergebnisse/ergebnis/ergebniselement">
<xsl:variable name="ergebniselement_ordnr"><xsl:value-of select="@ordnr" /></xsl:variable>
<xsl:variable name="quote"><xsl:text>'</xsl:text></xsl:variable> 
<xsl:for-each select="sqlerg/headers/header[ starts-with(f_name,'_spark')]">
<xsl:variable name="chart_uniquename"><xsl:value-of select="concat($ergebniselement_ordnr,'_',@id)" /></xsl:variable>
<div  class="modal modal-fx-3dSlit" id="{concat('modalCard_',$chart_uniquename)}">
  <div class="modal-background"></div>
      <div class="modal-content is-huge is-image">
        <!-- content -->

  <div class="modal-content">
  <div class="box">
	<span class="box-new"><xsl:call-template name="removeBackslash000">
<xsl:with-param name="string" select="wert" /></xsl:call-template>
    <a href="{concat('javascript:closeModalSparkImage(',$quote,$chart_uniquename,$quote,');')}">
    <span class="button is-grey"> X </span></a>
     </span>
  <div id="{concat('modalCardImage_',$chart_uniquename)}">
      Picture placeholder
      </div>
      </div>
    </div>
  </div>
 
</div>
</xsl:for-each>

<div  class="modal modal-fx-3dSlit" id="{concat('modalCard_legende',$ergebniselement_ordnr)}">
  <div class="modal-background"></div>
      <div class="modal-content is-huge is-image">
        <!-- content -->

  <div class="modal-content">
   <div class="box">
	<span class="box-new">Legende 
   <a href="{concat('javascript:closeModalSparkImage(',$quote,'legende',$ergebniselement_ordnr,$quote,');')}">
     <span class="button is-grey"> X </span>
     </a>
     </span>
 
      <xsl:call-template name="legendeModalContent">
<xsl:with-param name="ergebniselement_ordnr" select="$ergebniselement_ordnr" />
</xsl:call-template>
      </div>
    </div>
  </div>
 
</div>
<!--Erläuterung-->
<div  class="modal modal-fx-3dSlit" id="{concat('modalCard_erlaeuterung',$ergebniselement_ordnr)}">
  <div class="modal-background"></div>
      <div class="modal-content is-huge is-image">
        <!-- content -->

  <div class="modal-content">
   <div class="box">
	<span class="box-new">Erläuterung 
   <a href="{concat('javascript:closeModalSparkImage(',$quote,'erlaeuterung',$ergebniselement_ordnr,$quote,');')}">
     <span class="button is-grey"> X </span>
     </a>
     </span>
       <xsl:call-template name="erlaeuterungModalContent">
<xsl:with-param name="ergebniselement_ordnr" select="$ergebniselement_ordnr" />
</xsl:call-template>
      </div>
    </div>
  </div>
 
</div>



</xsl:for-each>
<xsl:call-template name="tabelleCombo" />
<xsl:call-template name="tabelleSicht" />

</xsl:template>
<xsl:template name="legendeModalContent">
<xsl:param name="ergebniselement_ordnr" select="0" />
<p class="legende">
<xsl:for-each select="../felder/feld">
	<xsl:if test="(value !='' or sicht/@isFirstInGroup='false' or @isstandtoday='false')  and @varname != 'sort' and @varname != 'maxoffset' and value_caption != ''">

		<span class="feldname_viz">
		<xsl:choose>
		<xsl:when test="string-length(caption_short) &gt; 0 and caption_short != 'null'" >
		<![CDATA[]]><xsl:value-of select="caption_short" /><![CDATA[]]>
		</xsl:when>
		<xsl:otherwise>
		<xsl:value-of select="@varname" />
		</xsl:otherwise>
		</xsl:choose></span>:&#160;
		<xsl:if test="string-length(value_caption) &lt; 50">
					<span class="feldwert"><xsl:value-of select="value_caption" /><![CDATA[]]></span>
		</xsl:if>
			<xsl:if test="string-length(value_caption) &gt; 49">
			<span class="feldwert"><![CDATA[]]><xsl:value-of select="substring(value_caption,0,50)" /><![CDATA[]]>...</span>
		</xsl:if>
		<xsl:if test="sicht!=''">
			<span><![CDATA[ (]]><xsl:value-of select="sicht" />
			<xsl:if test="@stand!=''"><xsl:text> - Stand:</xsl:text><xsl:value-of select="@stand"/></xsl:if>
			<xsl:text><![CDATA[)]]>	</xsl:text></span>
			
		</xsl:if>
	<br />
	</xsl:if>

</xsl:for-each>

User: <xsl:value-of select="/ergebnisse/user"/><br />
Stand: <xsl:value-of select="../stand" />
</p>
</xsl:template>
<xsl:template name="erlaeuterungModalContent">
<xsl:param name="ergebniselement_ordnr" select="0" />
<h2><xsl:value-of select="../explanation" /></h2>
<xsl:if test="string-length(../hinweis) &gt; 0">
<div class="leg_erl">
<xsl:call-template name="newline_to_br">
	<xsl:with-param name="string" select="../hinweis" />
</xsl:call-template>
</div>
<span class="separator">&#160;</span>
</xsl:if>
<div class="leg_erl">
<dl><span class="dl_title"><xsl:text>Maske</xsl:text></span>
<xsl:for-each select="../felder/feld [string-length(caption_long) &gt; 0 and caption_long != 'null']">
		    
  <dt><span class="feldwert"><xsl:value-of select="@varname" /></span> </dt>
<dd><xsl:value-of select="caption_long" /></dd>
</xsl:for-each>
</dl>
 </div>
 
<span class="separator">&#160;</span>
<div class="leg_erl">
<dl>     <span class="dl_title"><xsl:text>Ergebnistabelle</xsl:text></span>
<xsl:for-each select="sqlerg/headers/header [string-length(caption_long) &gt; 1 and caption_long !='null'and starts-with(f_name,'hidden')=false]">
<dt><span class="feldwert"><xsl:value-of select="wert" /></span> </dt>
<dd><xsl:value-of select="caption_long" /></dd>
</xsl:for-each>
</dl>
</div>

</xsl:template>
<xsl:template name="explanation_superx">
<!-- empty -->
</xsl:template>
<xsl:template name="tabelleCombo">
<div dojoType="dialog" id="combodlg" bgColor="darkgray" bgOpacity="0.7" toggle="fade" toggleDuration="100" 
	 closeNode="ok" style="z-index:1011;display:none">
	<form name="comboform" onsubmit="return false;">
	<h3 id="comboElementName" align="center">Auswahl</h3>
	 <br/>
	 <div id="comboload" style="display:none">
	 <br/><br/><br/>
	 <h3 align="center"><font color="red">Daten werden geladen</font><br/>
	 <img src="/superx/images/progress_bar.gif"></img></h3>
	 </div>
	<p align="center">
	<select id="comboselect" name="comboselect">
	<option value="1">1-ja</option>
	<option>keine Auswahl möglich</option>
	</select>
	<br/>
	<br/>
	<label id="multiselecthint">Sie können einen oder mehrere Werte auswählen (<a href="javascript:alert('Halten Sie beim Anklicken Strg gedrückt,um einzelne Elemete auszuwählen,\noder die Umschalttaste um einen ganzen Block auszuwählen');">Hinweis</a>)</label> 
	<br/>
	<br/>
	<!--<input type="button"  class="clsButtonStyle" 
	onclick="document.getElementById('suchok').style.display='';document.getElementById('suchselect').style.display='none';document.getElementById('suchuebernehmen').style.display='none';dojo.widget.byId('suchdlg').show();"
	value="Suchen"></input>
	<br/><br/>-->
	<input type="button" id="abbrechen"  class="clsButtonStyle" onclick="tabelleComboHide();" value="Abbrechen"></input>&#160;
		<input type="button" id="ok"  class="clsButtonStyle" onclick="maskeComboauswahlUebernehmen();" value="OK"></input>&#160;&#160;&#160;&#160;&#160;
		<input type="button" id="leeren"  class="clsButtonStyle" onclick="document.forms['comboform'].comboselect.selectedIndex=-1;maskeComboauswahlUebernehmen();combodlg.hide()" value="Leeren"></input>
		</p>
	</form>
	</div>
<!-- end combo -->
<!-- start suchdlg -->
  <div dojoType="dialog" id="suchdlg" bgColor="darkgray" bgOpacity="0.7" toggle="fade" toggleDuration="100" style="z-index:1015;display:none">
  <h3 align="center">Suche</h3>
 <form name="suchform" onsubmit="return false;"> <!-- theoretisch könnte man form sogar weglassen, weil gar nicht gepostet werden soll -->
  <p align="center">
   <input type="text" id="suchtext" onkeypress="enterClicksButton('suchok',event)"></input>
   </p>
   <p align="center">
    <select id="suchselect" size="10">
   
   </select>
</p>
  <p align="center">
  <input type="button"  class="clsButtonStyle" id="abbrechen" onclick="dojo.widget.byId('suchdlg').hide();" value="Abbrechen">&#160;</input>
  <input type="button" id="suchok"  class="clsButtonStyle" onclick="sichtEintraegeSuchen(document.getElementById('suchtext').value);" value="OK"></input>
<input type="button" id="suchuebernehmen"  class="clsButtonStyle" onclick="dojo.widget.byId('suchdlg').hide();combodlg.hide();sichtdlg.hide();suchauswahlUebernehmen();" value="Übernehmen"></input>
	</p>
	</form>
  </div> 
  
  <!-- end suchdlg -->
</xsl:template>
<xsl:template name="tabelleSicht">
<div dojoType="dialog" id="sichtdlg" bgColor="darkgray" bgOpacity="0.7" toggle="fade" toggleDuration="100" 
  closeNode="ok" style="z-index:1012;display:none">
	<form name="treedlgform" onsubmit="return false;">
	<center>
	<table align="center" cellpadding="0">
	<tr><td colspan="2" class="header" id="sichtElementName" align="center">Auswahl</td></tr>
	<tr>
	<td id="sicht" class="sichtstand"  align="center"><b>Sicht:</b> ausgewählte Sicht</td><td id="sichtbutton"  class="sichtstand"><input  class="submit_pencil" id="Sichtauswahl" type="button" value="Sichtauswahl" onclick="sichtauswahl.show()"></input></td>
	</tr>
	<tr><td id="stand" class="sichtstand" align="center"><b>Stand:</b> 1.1.2007</td><td id="standbutton" class="sichtstand"><input  class="submit_pencil" id="Standauswahl" type="button" value="ändern" onclick="dojo.widget.byId('Standeingabedlg').show();"></input></td>
	</tr>
	</table>
	</center>
	<div 
          dojoType="TreeSelectorV3" 
          widgetId="treeSelector" 
	  allowedMulti="false" 
          id="treeSelector" eventNames="select:nodeSelected">
          <xsl:text> </xsl:text>
        </div>
	<div dojoType="TreeEmphasizeOnSelect" selector="treeSelector"></div>
	<div dojoType="memtext:TreeLoadingControllerSx" id="treeLoadingController" widgetId="treeLoadingController">
	<xsl:attribute name="RPCUrl">/superx/servlet/SuperXmlMaske?tid=<xsl:value-of select="/ergebnisse/ergebnis[@ordnr='0']/maskenname/@id"/></xsl:attribute>
	</div>
        <div style="height:325px;overflow:scroll"><!-- IE needs non-dojo div vor scrolling-->
	<div dojoType="memtext:MemTree" widgetId="selTree"    id="selTree"     listeners="treeLoadingController;treeSelector">
	<div dojoType="TreeNodeV3"   title="keine Auswahl möglich" ></div>
	       </div>
	       </div>
	<br/>
	<center>
	<label id="sichthintmulti">Sie können einen oder mehrere Einträge auswählen (<a href="javascript:alert('Halten Sie beim Anklicken Strg gedrückt, um mehrere Einträge auszuwählen.');">Hinweis</a>)</label>
	<p align="center">
	<input type="button"  class="submit" 
	onclick="document.getElementById('suchok').style.display='';document.getElementById('suchselect').style.display='none';document.getElementById('suchuebernehmen').style.display='none';dojo.widget.byId('suchdlg').show();"
	value="Suchen"></input>&#160;
	</p>
	<p align="center">
	<input type="button" id="abbrechen"  class="submit" onclick="sichtdlg.hide();zeigeCombosIE6();" value="Abbrechen"></input>&#160;
		<input type="button" id="ok"  class="submit" onclick="maskeSichtauswahlUebernehmen();" value="OK"></input>&#160;&#160;&#160;&#160;&#160;
		<input type="button" id="leeren"  class="submit" onclick="dojo.widget.byId('treeSelector').deselectAll();maskeSichtauswahlUebernehmen();sichtdlg.hide();" value="Leeren"></input>
		</p>
		</center>
	</form>
</div>
  <div dojoType="dialog" id="sichtauswahl" bgColor="darkgray" bgOpacity="0.7" toggle="fade" toggleDuration="100" closeNode="ok"
  style="z-index:1014;display:none">
  <h3 align="center">Sicht auswählen</h3>
  <form name="sichtauswahlform">
  <p align="center">
   <select name="sichtselect">
   <option value="-999">keine Auswahl möglich</option>
   </select>
   </p>
  <p align="center">
  <input type="button"  class="clsButtonStyle" id="abbrechen2" onclick="sichtauswahl.hide()" value="Abbrechen">&#160;</input>
<input type="button" id="ok2"  class="clsButtonStyle" onclick="maskeSichtAendern()" value="OK"></input>
	</p>
	</form>
  </div>
<!-- end sicht -->
<!-- start suchdlg -->
  <div dojoType="dialog" id="suchdlg" bgColor="darkgray" bgOpacity="0.7" toggle="fade" toggleDuration="100" style="z-index:1015;display:none">
  <h3 align="center">Suche</h3>
 <form name="suchform" onsubmit="return false;"> <!-- theoretisch könnte man form sogar weglassen, weil gar nicht gepostet werden soll -->
  <p align="center">
   <input type="text" id="suchtext" onkeypress="enterClicksButton('suchok',event)"></input>
   </p>
   <p align="center">
    <select id="suchselect" size="10">
   
   </select>
</p>
  <p align="center">
  <input type="button"  class="clsButtonStyle" id="abbrechen" onclick="dojo.widget.byId('suchdlg').hide();" value="Abbrechen">&#160;</input>
  <input type="button" id="suchok"  class="clsButtonStyle" onclick="sichtEintraegeSuchen(document.getElementById('suchtext').value);" value="OK"></input>
<input type="button" id="suchuebernehmen"  class="clsButtonStyle" onclick="dojo.widget.byId('suchdlg').hide();combodlg.hide();sichtdlg.hide();suchauswahlUebernehmen();" value="Übernehmen"></input>
	</p>
	</form>
  </div> 
  
  <!-- end suchdlg -->
</xsl:template>
<xsl:template name="tabellenFeldCombo">
<xsl:param name="maskeninfo_id" />
<xsl:param name="Feldname" />
<xsl:param name="FeldnameEscaped" />
<xsl:variable name="jsCall"><xsl:text>tabelleComboLaden(</xsl:text>
			   <xsl:value-of select="$maskeninfo_id" />
			   <xsl:text>,'</xsl:text>
			   <xsl:value-of select="$Feldname"/>
			   <xsl:text>','</xsl:text>
			   <xsl:value-of select="$Feldname"/>
			   <xsl:text>','</xsl:text>
			   <xsl:value-of select="$FeldnameEscaped"/>
			   <xsl:text>');</xsl:text>
</xsl:variable>			  
<div class="field is-grouped">
		  <div class="label-container">
		   <p class="button-label">
			   <a class="button is-link is-outlined is-small is-fullwidth"> 
			   <xsl:attribute name="onclick"><xsl:value-of select="$jsCall"/>
			   </xsl:attribute>
			   <xsl:value-of select="$Feldname"/></a>
		   </p>
		  </div>
		  <span class="separator">&#160;</span>
		  <span class="separator">&#160;</span>
		  
		  <div class="field-body">
			<p class="control-new ">
			<input class="schluesselfeld" type="text" size="15" style="display:none"  id="{$FeldnameEscaped}" name="{$Feldname}" tabindex="511">
				<xsl:attribute name="value"><xsl:value-of select="/*/*/felder/feld [@varname = $Feldname]/value"/></xsl:attribute>
			</input>
						
			<input class="input is-small is-fullwidth" type="label" readonly="true" name="{concat('label_',$FeldnameEscaped)}" id="{concat('label_',$FeldnameEscaped)}">
<xsl:attribute name="onclick"><xsl:value-of select="$jsCall"/>
			   </xsl:attribute>
			   <xsl:attribute name="value"><xsl:value-of select="/*/*/felder/feld [@varname = $Feldname]/value_caption"/></xsl:attribute>
			   </input>
			
			</p>
			<span class="separator">&#160;</span>
			<span class="separator">&#160;</span>
			<span class="separator">&#160;</span>
			<span class="separator">&#160;</span>
			
			<!--<span class="info" onclick="window.open('https://super-ics.de/superx/doku/kern_modul/admin/f_Patcheinspielen.htm','_blank','directories=no,location=no,menubar=no,scrollbars=yes,resizable=yes,toolbar=no,width=800,height=660'); ">
			<figure class="image is-24x24">
				<img src="../images/information_grey_liberation.svg" />
			</figure>
			</span>-->
		  </div>
		</div>
</xsl:template>
<xsl:template name="tabellenFeldSicht">
<xsl:param name="maskeninfo_id" />
<xsl:param name="Feldname" />
<xsl:param name="FeldnameEscaped" />
<xsl:variable name="jsCall"><xsl:text>tabelleSichtLaden(</xsl:text>
			   <xsl:value-of select="$maskeninfo_id" />
			   <xsl:text>,'</xsl:text>
			   <xsl:value-of select="$Feldname"/>
			   <xsl:text>','</xsl:text>
			   <xsl:value-of select="$Feldname"/><!--TODO: caption-->
			   <xsl:text>','</xsl:text>
			   <xsl:value-of select="$FeldnameEscaped"/>
			   <xsl:text>','</xsl:text>
			   <xsl:value-of select="''"/><!--TODO: params1-->
			  <xsl:text>');</xsl:text>
</xsl:variable>			  
<div class="field is-grouped">
		  <div class="label-container">
		   <p class="button-label">
			   <a class="button is-link is-outlined is-small is-fullwidth"> 
			   <xsl:attribute name="onclick"><xsl:value-of select="$jsCall"/>
			   </xsl:attribute>
			   <xsl:value-of select="$Feldname"/></a>
		   </p>
		  </div>
		  <span class="separator">&#160;</span>
		  <span class="separator">&#160;</span>
		  
		  <div class="field-body">
			<p class="control-new ">
			<input class="schluesselfeld" type="text" size="15" style="display:none"  id="{$FeldnameEscaped}" name="{$Feldname}" tabindex="511">
				<xsl:attribute name="value"><xsl:value-of select="*/*/felder/feld [@varname = $Feldname]/value"/></xsl:attribute>
			</input>
						
			<input class="input is-small is-fullwidth" type="label" readonly="true" name="{concat('label_',$FeldnameEscaped)}" id="{concat('label_',$FeldnameEscaped)}">
<xsl:attribute name="onclick"><xsl:value-of select="$jsCall"/>
			   </xsl:attribute>
			   <xsl:attribute name="value"><xsl:value-of select="/*/*/felder/feld [@varname = $Feldname]/value_caption"/></xsl:attribute>
			   </input>
			
			</p>
			<span class="separator">&#160;</span>
			<span class="separator">&#160;</span>
			<span class="separator">&#160;</span>
			<span class="separator">&#160;</span>
			
			<!--<span class="info" onclick="window.open('https://super-ics.de/superx/doku/kern_modul/admin/f_Patcheinspielen.htm','_blank','directories=no,location=no,menubar=no,scrollbars=yes,resizable=yes,toolbar=no,width=800,height=660'); ">
			<figure class="image is-24x24">
				<img src="../images/information_grey_liberation.svg" />
			</figure>
			</span>-->
		  </div>
		</div>
</xsl:template>
<xsl:template name="renderSpecialDialogs" >
<div class="card has-background-light" style="margin-top:5em;">
	<div class="card-content">
	<xsl:for-each select="/ergebnisse/ergebnis[@ordnr='0']/completefields/feld[@art='1']">
	<xsl:variable name="feldname"><xsl:value-of select="@varname" /></xsl:variable>
	<xsl:variable name="feldnameEscaped"><xsl:call-template name="create_varname"><xsl:with-param name="string"><xsl:value-of select="@varname"/></xsl:with-param></xsl:call-template></xsl:variable> 
	<xsl:variable name="feldart">
	<xsl:call-template name="getFeldArt">
<xsl:with-param name="feldname" select="$feldname"/>
</xsl:call-template>
</xsl:variable>
<xsl:choose>
<xsl:when test="$feldart='1'">
<xsl:call-template name="tabellenFeldCombo">
<xsl:with-param name="maskeninfo_id" select="/ergebnisse/ergebnis[@ordnr='0']/maskenname/@id"/>
<xsl:with-param name="Feldname" select="$feldname"/>
<xsl:with-param name="FeldnameEscaped" select="$feldnameEscaped"/>
</xsl:call-template>
</xsl:when>
<xsl:when test="$feldart='12'">
<xsl:call-template name="tabellenFeldSicht">
<xsl:with-param name="maskeninfo_id" select="/ergebnisse/ergebnis[@ordnr='0']/maskenname/@id"/>
<xsl:with-param name="Feldname" select="$feldname"/>
<xsl:with-param name="FeldnameEscaped" select="feldnameEscaped"/>
</xsl:call-template>
</xsl:when>
<xsl:otherwise><xsl:value-of select="concat('Feld ',$feldname,' ist nicht geinget für Ajax Aufrufe')"/>
</xsl:otherwise>
</xsl:choose>

	</xsl:for-each>
	</div>
	<div class="field">
				<input type="submit" class="sx_buttondiv_submit" value="Neu laden..." onclick="document.forms['Weiterverarbeitung'].elements['reuseresult'].value='false';document.forms['Weiterverarbeitung'].elements['stylesheet'].value='tabelle_html_viz.xsl';return true;" />
			</div>
	</div>

</xsl:template>
<xsl:template name="getFeldArt">
<xsl:param name="feldname" />
<xsl:value-of select="/ergebnisse/ergebnis[@ordnr='0']/completefields/feld[@varname=$feldname]/@art"/>

</xsl:template>
</xsl:stylesheet>
